Bug 1271531 - CVE-2015-5301 ipsilon: missing user authorization check when deleting a service provider [fedora-all]
CVE-2015-5301 ipsilon: missing user authorization check when deleting a servi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipsilon (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5301
  Show dependency treegraph
 
Reported: 2015-10-14 04:35 EDT by Martin Prpič
Modified: 2015-11-08 05:20 EST (History)
2 users (show)

See Also:
Fixed In Version: ipsilon-1.1.1-2.fc23 ipsilon-1.1.1-2.fc22 ipsilon-1.1.1-2.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-08 01:53:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-14 04:35:50 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Martin Prpič 2015-10-14 04:35:55 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1271530,1271531

# Description of your update
notes=Security fix for CVE-2015-5301

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1271530,1271531
Comment 2 Fedora Update System 2015-10-14 12:10:01 EDT
ipsilon-1.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 3 Fedora Update System 2015-10-14 12:10:24 EDT
ipsilon-1.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 4 Fedora Update System 2015-10-14 12:11:30 EDT
ipsilon-1.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 5 Fedora Update System 2015-10-14 12:11:44 EDT
ipsilon-1.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 6 Fedora Update System 2015-10-14 12:12:12 EDT
ipsilon-1.1.1-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 7 Fedora Update System 2015-10-14 12:12:26 EDT
ipsilon-1.1.1-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 8 Fedora Update System 2015-10-14 18:53:41 EDT
ipsilon-1.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 9 Fedora Update System 2015-10-15 01:21:27 EDT
ipsilon-1.1.1-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 10 Fedora Update System 2015-10-15 01:52:33 EDT
ipsilon-1.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 11 Fedora Update System 2015-11-08 01:52:53 EST
ipsilon-1.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-11-08 04:50:10 EST
ipsilon-1.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-11-08 05:19:59 EST
ipsilon-1.1.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.